import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderLinks from "components/Header/HeaderLinks.js";
import Footer from "components/Footer/Footer.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";

import GetLatestNews from "../../../api/latest_news/news.js"
import DataSnackbarContent from "../../../pages-sections/yamaha/snackbar.js";
import DetailLatestNews from "../../../pages-sections/yamaha/latest_news/news_details.js";
import Cookies from "cookies";

const useStyles = makeStyles(styles);

const detailLatestNews = function ({ user, backend, news, othernews, ...props }) {
    const classes = useStyles();
    const { ...rest } = props;
    <DetailLatestNews news={props.news}/>
    return (
        <div>
        <Header
            rightLinks={<HeaderLinks username={user} />}
            fixed
            color="info"
            changeColorOnScroll={{
            height: 400,
            color: "white"
            }}
            {...rest}
        />
        <Parallax image={require("assets/img/simulasicicilan.jpg")} width="200px"/>
        <div className={classNames(classes.main, classes.mainRaised)}>
            <DetailLatestNews news={news} othernews={othernews} backend={backend}/> 
        </div>
        <Footer />
        </div>
    );
}

export default detailLatestNews;

export async function getServerSideProps(context) {
    var {query} = context;
	var news = [];
    var othernews = [];
    const backend = process.env.BACKEND_SERVER_URI;

    var { req, resp } = context;
    const cookies = new Cookies(req, resp);
    var user = "";
    var userObj = (await cookies.get("user"))
        ? JSON.parse(await cookies.get("user"))
        : null;
    if (userObj) {
        let sessionId = userObj["partners_login_states"].filter(function (i) {
        return (
            i.business_partner && i.business_partner.name.toUpperCase() == "YAMAHA"
        );
        });
        if (sessionId.length != 0) user = userObj["username"];
    }

	var res = await GetLatestNews.GetDetailNews(query.s||0);
	if (res["STATUS"] === 1) {
		news = res["DATA"]["latestNews"];
	}

    var res = await GetLatestNews.GetOtherNewsYamaha();
	if (res["STATUS"] === 1) {
		othernews = res["DATA"]["latestNews"];
	}
	return {
		props: { user, othernews, news, backend }, // will be passed to the page component as props
	};
}